export PRETRAIN_CHKPT='/root/autodl-tmp/img2img_unlearning/mage-main/checkpoints/magec-vitl-1600.pth'

export DATA_PATH_FORGET='/root/autodl-tmp/img2img_unlearning/mae-mage-data/imagenet_forget_100'
export DATA_PATH_RETAIN='/root/autodl-tmp/img2img_unlearning/mae-mage-data/imagenet_retain_100'

# method-beta-encoder-clone-lr-all-con-mask_type-mask_ratio (1-encoder-clone-5e-5)
export OUTPUT_DIR='/root/autodl-tmp/img2img_unlearning/mage-main/output_dir/ours'

export METHOD='ours'

python main_pretrain.py \
    --accum_iter 1 \
    --batch_size 8 \
    --data_path_forget ${DATA_PATH_FORGET} \
    --data_path_retain ${DATA_PATH_RETAIN} \
    --model mage_vit_large_patch16 \
    --chkpt ${PRETRAIN_CHKPT} \
    --mask_ratio_min 0.5 --mask_ratio_max 1.0 \
    --mask_ratio_mu 0.55 --mask_ratio_std 0.25 \
    --mask_ratio 0.50 \
    --epochs 5 \
    --warmup_epochs 2\
    --blr 1e-4 --weight_decay 0.0 \
    --method ${METHOD} \
    --output_dir ${OUTPUT_DIR}

    